Convoprint management and processing

This section contains voiceprint management and processing proto files.

convoprint/convoprints_management_service.proto

ConvoprintsManager

This service allows managing convoprint profiles. Methods are typically used in self-service applications, such as active authentication via the IVR.

gRPC method definitions

gRPC method definitions
Method Name Request Type Response Type Description
CreateConvoprintProfile CreateConvoprintProfile
Request
CreateConvoprintProfile
Response
Creates a new convoprint profile. Accepts a message with the print owner and a tag used to distinguish between multiple prints that belong to the same owner. Returns a unique ID for the newly created convoprint profile.
GetGkConvoprintProfileId GetGkConvoprintProfileId
Request
GetGkConvoprintProfileId
Response
Returns a convoprint profile ID that belongs to the specified owner, identified by a tag. The convoprint profile ID can be used for all other convoprint operations.
GetConvoprintProfileDetails GetConvoprintProfileDetails
Request
GetConvoprintProfileDetails
Response
Return details for a specific convoprint profile that can be specified either by using a convoprint profile ID, or an owner and a tag. The results include both read-only and writable attributes. Use fieldmask to select only a subset of the results.
UpdateConvoprintProfileDetails UpdateConvoprintProfileDetails
Request
UpdateConvoprintProfileDetails
Response
Updates any of the convoprint profile’s writable attributes. The input is a convoprint profile (that can be specified either by using a convoprint profile ID or an owner and a tag) and the list of writable attributes that are set.
LockConvoprintProfile LockConvoprintProfile
Request
LockConvoprintProfile
Response
Locks a convoprint profile, preventing it from being used for authentication. It can be used on an account that is under attack to prevent it from being used, or to limit the usage of a low-quality print. The main input is a convoprint profile ID. Optionally, you can provide more context information about the locking reason. Can be called for a locked print to update the locking reason.
UnlockConvoprintProfile UnlockConvoprintProfile
Request
UnlockConvoprintProfile
Response
Unlocks a locked convoprint profile, allowing access to the biometrics system so that it can be used again for authentication. The input is a convoprint profile ID.
DeleteConvoprintTemplate DeleteConvoprintTemplate
Request
DeleteConvoprintTemplate
Response
Deletes the convoprint profile template created by Train. It can be used to delete the template if it is created using a wrong calibration model.
DeleteConvoprintProfile DeleteConvoprintProfile
Request
DeleteConvoprintProfile
Response
Deletes all data associated with the convoprint profile.
ListEnrollmentSegments ListEnrollmentSegments
Request
ListEnrollmentSegments
Response
Enumerates all text segments in the text segments collection. List includes segments used for a previous train and segments added later (signaled by a flag) and, if available, a biometric consistency indication. Input is a convoprint profile ID.
RemoveEnrollmentSegment RemoveEnrollmentSegment
Request
RemoveEnrollmentSegment
Response
Removes one or more enrollment segments from the enrollment segments collection of the specified convoprint profile. Accepts a convoprint profile ID and the list of segments to remove.

Methods with HTTP bindings

CreateConvoprintProfile

  POST /v1/convoprints/profiles  

GetGkConvoprintProfileId

  GET /v1/convoprints/profiles/gkid  

GetConvoprintProfileDetails

  GET /v1/convoprints/profiles  

UpdateConvoprintProfileDetails

  PATCH /v1/convoprints/profiles  

LockConvoprintProfile

  PUT /v1/convoprints/profiles/{gk_convoprint_profile_id.value}/attributes/lock  

UnlockConvoprintProfile

  DELETE /v1/convoprints/profiles/{gk_convoprint_profile_id.value}/attributes/lock  

DeleteConvoprintTemplate

  DELETE /v1/convoprints/templates/{gk_convoprint_profile_id.value}  

DeleteConvoprintProfile

  DELETE /v1/convoprints/profiles/{gk_convoprint_profile_id.value}  

ListEnrollmentSegments

  GET /v1/convoprints/profiles/{gk_convoprint_profile_id.value}/enrollment-segments  

RemoveEnrollmentSegment

  DELETE /v1/convoprints/profiles/{gk_convoprint_profile_id.value}/enrollment-segments/{gk_text_id.value}  

convoprint/convoprints_processing_service.proto

ConvoprintsProcessor

This service allows performing basic text biometrics operations. Service methods are typically used in self-service applications such as active authentication via the IVR.

Here is a typical enrollment workflow:

  1. StartEngagement
  2. StartSession
  3. GetGkConvoprintProfileId to get the internal ID.
  4. If the convoprint profile exists, continue to 4b. If not, create one in step 4a.
    1. CreateConvoprintProfile
    2. GetEnrollStatus - Checks if the convoprint profile is trained.
  5. ProcessText
  6. Enroll - Repeat steps five and six, until the convoprint is ready to be trained.
  7. Train
  8. StopSession
  9. StopEngagement

Here is a typical verification workflow:

  1. StartEngagement
  2. StartSession
  3. GetGkConvoprintProfileId to get the internal ID.
  4. GetEnrollStatus - Checks if the convoprint profile is trained.
  5. Verify
  6. GetSessionDecision
  7. StopSession
  8. StopEngagement

gRPC method definitions

gRPC method definitions
Method Name Request Type Response Type Description
ProcessText ProcessText
Request
ProcessText
Response
Processes the text and checks its quality. Creates a text model identified by gk_text_id that the system uses in consequent operations, such as Enroll or Verify.
Enroll Enroll
Request
Enroll
Response
Adds processed text to the convoprint’s enrollment segments collection. The system uses the processed text in this collection when it creates the convoprint’s template (Train). Accepts a convoprint profile ID and text ID returned by the ProcessText method. Returns the convoprint status information, indicating whether it is ready to be trained or not.
GetEnrollStatus GetEnrollStatus
Request
GetEnrollStatus
Response
Returns the convoprint status information, indicating whether it is trained, ready to be trained, or not ready.
Train Train
Request
Train
Response
Creates a new text template for a convoprint profile using text (typically text models) from the enrollment segments collection.
Verify Verify
Request
Verify
Response
Checks if a given text matches the specified convoprint profile.
Identify Identify
Request
Identify
Response
Checks if a given text matches any of the convoprint profiles specified. Typically used with a small or medium size group (1-100).
DetectKnownFraudsters DetectKnownFraudsters
Request
DetectKnownFraudsters
Response
Checks if a given text matches any of the convoprint profiles specified in a watchlist.

Methods with HTTP bindings

ProcessText

  POST /v1/texts/process  

Enroll

  POST /v1/convoprints/{gk_convoprint_profile_id.value}/enrollment  

GetEnrollStatus

  GET /v1/convoprints/{gk_convoprint_profile_id.value}/enrollment-status  

Train

  POST /v1/convoprints/{gk_convoprint_profile_id.value}/training  

Verify

  POST /v1/convoprints/{gk_convoprint_profile_id.value}/verification  

Identify

  POST /v1/convoprints/identification  

DetectKnownFraudsters

  POST /v1/convoprints/known-fraudsters-detection  

convoprint/convoprints_management_messages.proto

ConvoprintEnrollmentSegmentDetails

Contains detailed information about a single enrollment segment.

ConvoprintEnrollmentSegmentDetails
Field Type Description
used_for_train google.protobuf.BoolValue Optional. Indicates if the segment is used for training for reasons, such as missing model and missing text.
text_details nuance.biosec.v1.text.TextDetailsForRead Optional. Text details.

ConvoprintProfileDetailsForCreate

Contains fields that the system uses to create a convoprint profile. Included in CreateConvoprintProfileRequest. Fields that are set can be defined by a fieldmask.

ConvoprintProfileDetailsForCreate
Field Type Description
custom_data repeated ConvoprintProfileDetailsForCreate.CustomDataEntry Optional. Custom application data in a list of key-value pairs.

ConvoprintProfileDetailsForCreate.CustomDataEntry

ConvoprintProfileDetailsForCreate.CustomDataEntry
Field Type Description
key string  
value string  

ConvoprintProfileDetailsForRead

Contains the readable fields of the convoprint profile. Included in GetConvoprintProfileDetailsResponse. Fields that are read can be defined by a fieldmask.

ConvoprintProfileDetailsForRead
Field Type Description
gk_convoprint_profile_id nuance.biosec.v1.UniqueId Optional. Unique ID of the convoprint profile.
gk_owner_id nuance.biosec.v1.UniqueId Optional. Unique ID of the convoprint profile owner.
owner_type nuance.biosec.v1.OwnerType Optional. Owner type. Can be a person or fraudster.
tag string Optional. Tag used to distinguish between different convoprint profiles that belong to the same owner.
version google.protobuf.Int32Value Optional. The current version of the convoprint profile (incremented each time a print is retrained).
status ConvoprintProfileStatus Optional. Indicates whether the convoprint profile is trained or not.
lock_info ConvoprintProfileLockInfo Optional. Lock status.
template_info ConvoprintProfileTemplateInfo Optional. Convoprint template information.
creation_timestamp google.protobuf.Timestamp Optional. Time and date of the convoprint profile creation.
modification_timestamp google.protobuf.Timestamp Optional. Time and date of the convoprint profile’s last update.
custom_data repeated ConvoprintProfileDetailsForRead.CustomDataEntry Optional. Custom application data in a list of key-value pairs.

ConvoprintProfileDetailsForRead.CustomDataEntry

ConvoprintProfileDetailsForRead.CustomDataEntry
Field Type Description
key string  
value string  

ConvoprintProfileDetailsForUpdate

Contains the writable fields of the convoprint profile. Included in UpdateConvoprintProfileDetailsRequest. Fields that are updated can be defined by a fieldmask.

ConvoprintProfileDetailsForUpdate
Field Type Description
custom_data repeated ConvoprintProfileDetailsForUpdate.CustomDataEntry Optional. Custom application data in a list of key-value pairs.

ConvoprintProfileDetailsForUpdate.CustomDataEntry

ConvoprintProfileDetailsForUpdate.CustomDataEntry
Field Type Description
key string  
value string  

ConvoprintProfileLockInfo

Contains information about the locking state of a convoprint profile.

ConvoprintProfileLockInfo
Field Type Description
status nuance.biosec.v1.LockStatus Optional. Specifies if the print is locked or not.
locked_by string Optional. The user ID of the analyst/agent that locked the print. Relevant only in case of manual lock.
lock_reason nuance.biosec.v1.LockReason Optional. Specifies the locking reason if it is a standard one.
reason string Optional. A text message that specifies the reason if it is not a standard one.
mismatch_counter google.protobuf.Int32Value Optional. The number of consecutive mismatches, used when a convoprint profile is locked due to too many mismatches.
lock_timestamp google.protobuf.Timestamp Optional. Specifies the convoprint profile locking time.
auto_unlock_timestamp google.protobuf.Timestamp Optional. The time when the convoprint profile, if locked, is automatically unlocked.

ConvoprintProfileTemplateInfo

Contains information about the convoprint profile template. Both fields are not set if the print is not trained.

ConvoprintProfileTemplateInfo
Field Type Description
gk_calibration_model_revision_id nuance.biosec.v1.UniqueId Optional. Unique ID of the calibration model that is used to train the convoprint profile template.
quality_check google.protobuf.FloatValue Optional. A score between 0 and 1 that represents the quality of the convoprint profile template.
raw_quality google.protobuf.FloatValue Optional. A uncapped score that represents the quality of the convoprint profile template.
language string Optional. Spoken language. List of available languages can be found here: https://docs.nuance.com/mix/overview/mix-geographies/  .
latest_train_timestamp google.protobuf.Timestamp Optional. The most recent training time of the convoprint profile.

CreateConvoprintProfileRequest

Input message that defines parameters for CreateConvoprintProfile.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
CreateConvoprintProfileRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
owner OwnerAndTag Mandatory. Owner of the print and a mandatory print tag that is used to distinguish between different convoprint profiles that belong to the same owner. Print owner can be a person or fraudster.
details ConvoprintProfileDetailsForCreate Optional. Properties that are set when creating a convoprint profile.
field_mask google.protobuf.FieldMask Optional. A field mask used to specify the ConvoprintProfileDetailsForCreate fields that the method sets.

CreateConvoprintProfileResponse

Output message that defines parameters returned by CreateConvoprintProfile.

CreateConvoprintProfileResponse
Field Type Description
status nuance.rpc.Status Mandatory. General operation status.
gk_convoprint_profile_id nuance.biosec.v1.UniqueId Optional. Unique ID of the newly created convoprint profile.

DeleteConvoprintProfileRequest

Input message that defines parameters for DeleteConvoprintProfile.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
DeleteConvoprintProfileRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_convoprint_profile_id nuance.biosec.v1.UniqueId Mandatory. Unique ID of the convoprint profile.
reason string Optional. Specifies the deletion reason.

DeleteConvoprintProfileResponse

Output message that defines parameters returned by DeleteConvoprintProfile.

DeleteConvoprintProfileResponse
Field Type Description
status nuance.rpc.Status Mandatory. General operation status.

DeleteConvoprintTemplateRequest

Input message that defines parameters for DeleteConvoprintTemplate.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
DeleteConvoprintTemplateRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_convoprint_profile_id nuance.biosec.v1.UniqueId Mandatory. Unique ID of the convoprint profile.

DeleteConvoprintTemplateResponse

Output message that defines parameters returned by DeleteConvoprintTemplate.

DeleteConvoprintTemplateResponse
Field Type Description
status nuance.rpc.Status Mandatory. General operation status.

GetConvoprintProfileDetailsRequest

Input message that defines parameters for GetConvoprintProfileDetails.

Uses the context field as follows:

  • gk_engagement_id: Not used
  • gk_session_id: Not used
  • gk_scope_id: Mandatory
  • configset_id: Not used
GetConvoprintProfileDetailsRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
One of input:  
Mandatory. The convoprint profile that the request refers to, specified in two alternative ways.
   gk_convoprint_profile_id nuance.biosec.v1.UniqueId Unique ID of the existing convoprint profile.
   owner_and_tag OwnerAndTag Owner of the print and a mandatory print tag that is used to distinguish between different convoprints profiles that belong to the same owner. Print owner can be a person or fraudster.
field_mask google.protobuf.FieldMask Optional. A field mask used to specify the ConvoprintProfileDetailsForRead fields that are read.

GetConvoprintProfileDetailsResponse

Output message that defines parameters returned by GetConvoprintProfileDetails.

GetConvoprintProfileDetailsResponse
Field Type Description
status nuance.rpc.Status Mandatory. General operation status.
details ConvoprintProfileDetailsForRead Optional. Convoprint profile details. Includes both read-only and writable fields.

GetGkConvoprintProfileIdRequest

Input message that defines parameters for GetGkConvoprintProfileId.

Uses the context field as follows:

  • gk_engagement_id: Not used
  • gk_session_id: Not used
  • gk_scope_id: Mandatory
  • configset_id: Not used
GetGkConvoprintProfileIdRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
owner OwnerAndTag Mandatory. Owner of the print and a print tag that is used to distinguish between different convoprint profiles that belong to the same owner. Print owner can be a person or fraudster. If a tag is specified, the request returns only one ID. If the tag is null or empty, the request returns all IDs.

GetGkConvoprintProfileIdResponse

Output message that defines parameters returned by GetGkConvoprintProfileId.

GetGkConvoprintProfileIdResponse
Field Type Description
status nuance.rpc.Status Mandatory. General operation status.
gk_convoprint_profile_id nuance.biosec.v1.UniqueId Optional. Unique ID of the convoprint profile.

ListEnrollmentSegmentsRequest

Input message that defines parameters for ListEnrollmentSegments.

Uses the context field as follows:

  • gk_engagement_id: Not used
  • gk_session_id: Not used
  • gk_scope_id: Mandatory
  • configset_id: Not used
ListEnrollmentSegmentsRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_convoprint_profile_id nuance.biosec.v1.UniqueId Mandatory. Unique ID of the convoprint profile.

ListEnrollmentSegmentsResponse

Output message that defines parameters for ListEnrollmentSegments.

ListEnrollmentSegmentsResponse
Field Type Description
status nuance.rpc.Status Mandatory. General operation status.
enrollment_segments_details repeated ConvoprintEnrollmentSegmentDetails Optional. Additional information about the enrollment segments in the collection.

LockConvoprintProfileRequest

Input message that defines parameters for LockConvoprintProfile.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
LockConvoprintProfileRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_convoprint_profile_id nuance.biosec.v1.UniqueId Mandatory. Unique ID of the convoprint profile that is locked.
reason string Optional. Specifies the locking reason.

LockConvoprintProfileResponse

Output message that defines parameters returned by LockConvoprintProfile.

LockConvoprintProfileResponse
Field Type Description
status nuance.rpc.Status Mandatory. General operation status.

OwnerAndTag

Identifies a convoprint profile by owner and tag.

OwnerAndTag
Field Type Description
One of owner:  
Mandatory. Print owner, can be a person or a fraudster.
   gk_person_id nuance.biosec.v1.UniqueId Unique person ID.
   gk_fraudster_id nuance.biosec.v1.UniqueId Unique fraudster ID.
   person_id string The person’s ID. Must be unique at the scope level and used together with a scope ID. Normally specified in the context field.
   fraudster_id string The fraudster’s ID. Must be unique at scope level and used together with a scope ID. Normally specified in the context field.
tag string Mandatory. Tag used to distinguish between different convoprint profiles that belong to the same owner.

RemoveEnrollmentSegmentRequest

Input message that defines parameters for RemoveEnrollmentSegment.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
RemoveEnrollmentSegmentRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_convoprint_profile_id nuance.biosec.v1.UniqueId Mandatory. Unique ID of the convoprint profile.
gk_text_id nuance.biosec.v1.UniqueId Mandatory. Unique ID of the processed text segment that the method removes from the enrollment segments collection.

RemoveEnrollmentSegmentResponse

Output message that defines parameters returned by RemoveEnrollmentSegment.

RemoveEnrollmentSegmentResponse
Field Type Description
status nuance.rpc.Status Mandatory. General operation status.

UnlockConvoprintProfileRequest

Input message that defines parameters for UnlockConvoprintProfile.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
UnlockConvoprintProfileRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_convoprint_profile_id nuance.biosec.v1.UniqueId Mandatory. Unique ID of the convoprint profile that is unlocked.

UnlockConvoprintProfileResponse

Output message that defines parameters returned by UnlockConvoprintProfile.

UnlockConvoprintProfileResponse
Field Type Description
status nuance.rpc.Status Mandatory. General operation status.

UpdateConvoprintProfileDetailsRequest

Input message that defines parameters for UpdateConvoprintProfileDetails.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
UpdateConvoprintProfileDetailsRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
One of input:  
Mandatory. The convoprint profile that the request refers to, specified in two alternative ways.
   gk_convoprint_profile_id nuance.biosec.v1.UniqueId Unique ID of the convoprint profile.
   owner_and_tag OwnerAndTag Owner of the print and a mandatory print tag that is used to distinguish between different convoprints profiles that belong to the same owner. Print owner can be a person or a fraudster.
details ConvoprintProfileDetailsForUpdate Mandatory. Convoprint profile details that are set. Includes only writable fields.
field_mask google.protobuf.FieldMask Mandatory. A field mask used to specify the ConvoprintProfileDetailsForUpdate fields that the method sets.

UpdateConvoprintProfileDetailsResponse

Output message that defines parameters returned by UpdateConvoprintProfileDetails.

UpdateConvoprintProfileDetailsResponse
Field Type Description
status nuance.rpc.Status Mandatory. General operation status.

convoprint/convoprints_processing_messages.proto

AuthenticationScore

Authentication score for a person’s print, used in Verify or Identify.

AuthenticationScore
Field Type Description
biometric_score google.protobuf.FloatValue Raw biometric score of the comparison between the print and the text.

ConvoprintDetails

Contains general information about a single convoprint profile.

ConvoprintDetails
Field Type Description
gk_convoprint_profile_id nuance.biosec.v1.UniqueId Unique ID of the convoprint profile.
gk_owner_id nuance.biosec.v1.UniqueId Unique ID of the person or fraudster that the print belongs to.
owner_type nuance.biosec.v1.OwnerType The type of owner (person or fraudster).
profile_tag string The profile tag is used to label one of the owner’s prints.
print_version google.protobuf.Int32Value Print version, incremented each time a print is retrained.
quality_check google.protobuf.FloatValue A score between 0 and 1 that represents the quality of the convoprint profile.
raw_quality google.protobuf.FloatValue A uncapped score that represents the quality of the convoprint profile.
language string Text language. List of available languages can be found here: https://docs.nuance.com/mix/overview/mix-geographies/  .

ConvoprintResult

Detailed results of a specific print used in Verify, Identify, and DetectKnownFraudsters.

ConvoprintResult
Field Type Description
gk_convoprint_profile_id nuance.biosec.v1.UniqueId Unique ID of the convoprint profile.
One of score:  
The print score.
   authentication_score AuthenticationScore The person’s print score, used in Verify or Identify.
   fraud_detection_score FraudDetectionScore The fraudster’s print score, used in DetectKnownFraudsters.

DetectKnownFraudstersRequest

Input message that defines parameters for DetectKnownFraudsters. Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Mandatory
DetectKnownFraudstersRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
One of input:  
Mandatory. Specifies the input text or audio (if an audio is specified, it’s converted into text by transcribing it).
   gk_media_segment_id nuance.biosec.v1.UniqueId Unique ID of the new media segment.
   gk_processed_audio_id nuance.biosec.v1.UniqueId Unique ID of the processed audio.
   gk_text_id nuance.biosec.v1.UniqueId Unique ID of an already existing text segment.
   raw_text google.protobuf.StringValue Raw text.
language string Optional. Text language. If not specified, the method uses one of the following: the actual_language processed audio attribute, the actual_language text attribute, or the configuration parameter. At least one of them must be valid. List of available languages can be found here: https://docs.nuance.com/mix/overview/mix-geographies/  Contact Nuance account manager to get the list of available languages in your region.
channel_selector nuance.biosec.v1.AudioChannelSelector Optional. Specifies the processed channel when processing media with multiple channels. This parameter is ignored if the media has a single channel, or if the input is not gk_media_segment_id.
One of target:  
Mandatory. The set of prints, specified as an array of print IDs or as a watchlist ID and tag.
   gk_convoprint_profile_ids nuance.biosec.v1.ListOfUniqueId An array of convoprint profile IDs.
   watchlist nuance.biosec.v1.UniqueIdAndTag A watchlist ID and a tag used as a filter to select the right prints, in case persons have more than one print.
return_final_transcription bool Mandatory. Specifies if final transcription results must be returned.
ignore_checkpoints bool Optional. If true, disable the checkpoints defined in configset (checkpointsForAuthentication and checkpointsForFraudDetection configuration parameters are ignored) to process the whole text. If false or not defined, processing might stop before the end of text (for example, if a match is found for any of the checkpoints defined).

DetectKnownFraudstersResponse

Output message that defines parameters returned by DetectKnownFraudsters.

DetectKnownFraudstersResponse
Field Type Description
status nuance.rpc.Status General operation status.
result DetectKnownFraudstersResult Result of the DetectKnownFraudsters operation.

DetectKnownFraudstersResult

Contains detailed information about the operation’s outcome. Included in DetectKnownFraudsters.

DetectKnownFraudstersResult
Field Type Description
language string Optional. Text language. List of available languages can be found here: https://docs.nuance.com/mix/overview/mix-geographies/  .
text string Optional. Text.
transcribed bool Indicates if a transcription has been triggered.
gk_media_segment_id nuance.biosec.v1.UniqueId Optional. The media ID of the audio segment.
gk_processed_audio_id nuance.biosec.v1.UniqueId Optional. Unique ID of the processed audio. In case, the system needs to reprocess the audio, a new gk_processed_audio_id is created, even if input audio has been specified by gk_processed_audio_id.
gk_text_id nuance.biosec.v1.UniqueId Optional. Unique ID of the processed text.
transcribe_audio_details nuance.biosec.v1.audio.TranscribeAudioDetails Optional. Transcription audio metrics, such as gross audio, net audio, and SNR.
text_details nuance.biosec.v1.audio.TextDetails Optional. Text details, such as Confidence, formatted text, and word details.
validity TextValidity Text validity status. Indicates invalidity reason in case of invalid text.
gk_calibration_model_revision_id nuance.biosec.v1.UniqueId Unique ID of the calibration model that the system uses to create the text model.
convoprint_details ConvoprintDetails General information about the convoprint profile.
decision nuance.biosec.v1.Decision Indicates whether the given text matches any of the specified fraudsters convoprint profiles.
reason DecisionReason Reason of the decision.
fraud_detection_score FraudDetectionScore The fraud detection scores.
risk_engine_result nuance.biosec.v1.RiskEngineResult Level of risk and reliability, computed by the risk engine.
convoprint_results repeated ConvoprintResult Detailed results for a specific convoprint profile.
number_of_prints int32 Number of valid print used for known fraudster detection.

EnrollRequest

Input message that defines parameters for Enroll. Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Mandatory
EnrollRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_convoprint_profile_id nuance.biosec.v1.UniqueId Mandatory. Unique ID of the convoprint profile for enrollment.
gk_text_id nuance.biosec.v1.UniqueId Mandatory. Unique ID of text that is processed and added to the convoprint’s enrollment segments collection. The ID is returned by ProcessText.
return_final_transcription bool Mandatory. Specifies if final transcription results must be returned.

EnrollResponse

Output message that defines parameters returned by Enroll.

EnrollResponse
Field Type Description
status nuance.rpc.Status General operation status.
result EnrollResult Enrollment result.

EnrollResult

Contains information about the convoprint profile and the text that belongs to the enrollment set. Included in EnrollResponse.

EnrollResult
Field Type Description
enroll_status EnrollStatus Status of the convoprint profile after adding the new enrollment segment. Indicates whether the convoprint can or should be trained.
convoprint_details ConvoprintDetails General information about the convoprint profile.
enrolled google.protobuf.BoolValue It is true if text is added to print, false otherwise.
reason EnrollReason In case of failed enrollment, reason of the failure.
text_details nuance.biosec.v1.audio.TextDetails Text details, such as confidence, formatted text, and word details.

EnrollmentSegmentDetails

Contains detailed information about a single enrollment segment that the system uses in the training process. Included in TrainResponse and in ListEnrollmentSegments.

EnrollmentSegmentDetails
Field Type Description
gk_text_id nuance.biosec.v1.UniqueId Unique ID of the text.
used_for_train google.protobuf.BoolValue Indicates whether the segment was used for training for reasons, such as missing model and missing text.
text_details nuance.biosec.v1.audio.TextDetails Optional. Text details, such as confidence, formatted text, and word details.
gk_calibration_model_revision_id nuance.biosec.v1.UniqueId Unique ID of the calibration model that the system uses to create the text model.

FraudDetectionScore

Fraud Detection score for a fraudster’s print, used in DetectKnownFraudsters.

FraudDetectionScore
Field Type Description
biometric_score google.protobuf.FloatValue Raw biometric score of the comparison between the print and the text.

GetEnrollStatusRequest

Input message that defines parameters for GetEnrollStatus. Contains information about whether the convoprint can or should be trained. Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Mandatory
GetEnrollStatusRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_convoprint_profile_id nuance.biosec.v1.UniqueId Mandatory. Unique ID of the convoprint profile.

GetEnrollStatusResponse

Output message that defines parameters returned by GetEnrollStatus.

GetEnrollStatusResponse
Field Type Description
status nuance.rpc.Status General operation status.
result EnrollStatus The status of the convoprint profile. Indicates whether the convoprint can or should be trained.
is_trained google.protobuf.BoolValue Indicates if the convoprint is trained and can be used for verification.

IdentifyRequest

Input message that defines parameters for Identify. Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Mandatory
IdentifyRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
One of input:  
Mandatory. Specifies the input text or audio (if an audio is specified, it’s converted into text by transcribing it).
   gk_media_segment_id nuance.biosec.v1.UniqueId Unique ID of the new media segment.
   gk_processed_audio_id nuance.biosec.v1.UniqueId Unique ID of the processed audio.
   gk_text_id nuance.biosec.v1.UniqueId Unique ID of an already existing text segment.
   raw_text google.protobuf.StringValue Raw text.
language string Optional. Text language. If not specified the method uses one of the following: the actual_language processed audio attribute, the actual_language text attribute, or the configuration parameter. At least one of them must be valid. List of available languages can be found here: https://docs.nuance.com/mix/overview/mix-geographies/  Contact Nuance account manager to get the list of available languages in your region.
channel_selector nuance.biosec.v1.AudioChannelSelector Optional. Specifies the processed channel when processing media with multiple channels. This parameter is ignored if the media has a single channel, or if the input is not gk_media_segment_id.
One of target:  
Mandatory. The set of prints, specified as an array of print IDs or as a group ID and tag.
   gk_convoprint_profile_ids nuance.biosec.v1.ListOfUniqueId An array of convoprint profile IDs.
   group nuance.biosec.v1.UniqueIdAndTag A group ID and a tag used as a filter to select the right prints, in case persons have more than one print.
return_final_transcription bool Mandatory. Specifies if final transcription results must be returned.
ignore_checkpoints bool Optional. If true, disable the checkpoints defined in configset (checkpointsForAuthentication and checkpointsForFraudDetection configuration parameters are ignored) to process the whole text. If false or not defined, processing might stop before the end of text (for example, if a match is found for any of the checkpoints defined).

IdentifyResponse

Output message that defines parameters returned by Identify.

IdentifyResponse
Field Type Description
status nuance.rpc.Status General operation status.
result IdentifyResult Result of the identify operation.

IdentifyResult

Contains detailed information about the operation’s outcome. Included in IdentifyResponse.

IdentifyResult
Field Type Description
language string Optional. Text language. List of available languages can be found here: https://docs.nuance.com/mix/overview/mix-geographies/  .
text string Optional. Text.
transcribed bool Indicates if a transcription has been triggered.
gk_media_segment_id nuance.biosec.v1.UniqueId Optional. The media ID of the audio segment.
gk_processed_audio_id nuance.biosec.v1.UniqueId Optional. Unique ID of the processed audio. In case the system needs to reprocess the audio, a new gk_processed_audio_id is created, even if input audio has been specified by gk_processed_audio_id.
gk_text_id nuance.biosec.v1.UniqueId Optional. Unique ID of the processed text.
transcribe_audio_details nuance.biosec.v1.audio.TranscribeAudioDetails Optional. Transcription audio metrics, such as gross audio, net audio, and SNR.
text_details nuance.biosec.v1.audio.TextDetails Optional. Text details, such as Confidence, formatted text, and word details.
validity TextValidity Text validity status. Indicates invalidity reason in case of invalid text.
gk_calibration_model_revision_id nuance.biosec.v1.UniqueId Unique ID of the calibration model that the system uses to create the text model.
convoprint_details ConvoprintDetails General information about the convoprint profile.
decision nuance.biosec.v1.Decision The decision if the given text matches any of the specified convoprint profiles.
reason DecisionReason The reason for the decision.
authentication_score AuthenticationScore Authentication scores.
risk_engine_result nuance.biosec.v1.RiskEngineResult Level of risk and reliability, computed by the risk engine.
convoprint_results repeated ConvoprintResult Detailed results for a specific convoprint profile.

ProcessTextRequest

Input message that defines parameters for ProcessText. Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Mandatory
ProcessTextRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
One of input:  
Mandatory. Specifies the input text or audio (if an audio is specified, it’s converted into text by transcribing it).
   gk_media_segment_id nuance.biosec.v1.UniqueId Unique ID of the new media segment.
   gk_processed_audio_id nuance.biosec.v1.UniqueId Unique ID of the processed audio.
   gk_text_id nuance.biosec.v1.UniqueId Unique ID of an already existing text segment.
   raw_text google.protobuf.StringValue Raw text.
language string Optional. Text language. If not specified, the method uses one of the following: the actual_language processed audio attribute, the actual_language text attribute, or the configuration parameter. At least one of them must be valid. List of available languages can be found here: https://docs.nuance.com/mix/overview/mix-geographies/  Contact Nuance account manager to get the list of available languages in your region.
gk_person_id nuance.biosec.v1.UniqueId Optional, owner of the audio or text. When set, the system handles the audio or text as personal information.
channel_selector nuance.biosec.v1.AudioChannelSelector Optional. Specifies the processed channel when processing media with multiple channels. This parameter is ignored if the media has a single channel or if the input is not gk_media_segment_id.
return_final_transcription bool Mandatory. Specifies if final transcription results must be returned.

ProcessTextResponse

Output message that defines parameters returned by ProcessText.

ProcessTextResponse
Field Type Description
status nuance.rpc.Status General operation status.
result TextProcessingResult Audio processing result.

TextProcessingResult

Contains audio/text metrics and information about the text model. Included in ProcessTextResponse.

TextProcessingResult
Field Type Description
language string Optional. Text language. List of available languages can be found here: https://docs.nuance.com/mix/overview/mix-geographies/  .
text string Optional. Text.
transcribed bool Indicates if a transcription has been triggered.
gk_media_segment_id nuance.biosec.v1.UniqueId Optional. The media ID of the audio segment.
gk_processed_audio_id nuance.biosec.v1.UniqueId Optional. Unique ID of the processed audio.
gk_text_id nuance.biosec.v1.UniqueId Optional. Unique ID of the processed text.
transcribe_audio_details nuance.biosec.v1.audio.TranscribeAudioDetails Optional. Transcription audio metrics, such as gross audio, net audio, and SNR.
text_details nuance.biosec.v1.audio.TextDetails Optional. Text details, such as confidence, formatted text, and word details.
validity TextValidity Text validity status. Indicates invalidity reason in case of invalid text.
gk_calibration_model_revision_id nuance.biosec.v1.UniqueId Unique ID of the calibration model that the system uses to create the text model.

TrainRequest

Input message that defines parameters for Train. Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Mandatory
TrainRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_convoprint_profile_id nuance.biosec.v1.UniqueId Mandatory. Unique ID of the convoprint profile for training.
return_final_transcription bool Mandatory. Specifies if final transcription results must be returned.

TrainResponse

Output message that defines parameters returned by Train.

TrainResponse
Field Type Description
status nuance.rpc.Status General operation status.
result TrainResult The result of the train operation.

TrainResult

Contains information about the outcome of the operation and the current status of the convoprint profile. Included in TrainResponse.

TrainResult
Field Type Description
train_status nuance.biosec.v1.TrainStatus Specifies the completion status of the train operation.
reason TrainReason Specifies the outcome of the train operation and failure reason, when applicable.
status ConvoprintProfileStatus Indicates whether the convoprint profile is trained or not.
convoprint_details ConvoprintDetails General information about the convoprint profile.
gk_calibration_model_revision_id nuance.biosec.v1.UniqueId Unique ID of the calibration model that the system uses to train the template.
total_segments google.protobuf.Int32Value Total number of enrollment segments considered in the template training.
total_valid_segments google.protobuf.Int32Value Number of enrollment segments that are used to create the template.
enrollment_segments_details repeated EnrollmentSegmentDetails Additional information about the enrollment segments that are used for training.

VerifyRequest

Input message that defines parameters for Verify. Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Mandatory
VerifyRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
One of input:  
Mandatory. Specifies the input text or audio (if an audio is specified, it’s converted into text by transcribing it).
   gk_media_segment_id nuance.biosec.v1.UniqueId Unique ID of the new media segment.
   gk_processed_audio_id nuance.biosec.v1.UniqueId Unique ID of the processed audio.
   gk_text_id nuance.biosec.v1.UniqueId Unique ID of an already existing text segment.
   raw_text google.protobuf.StringValue Raw text.
language string Optional. Text language. If not specified, the method uses one of the following: the actual_language processed audio attribute, the actual_language text attribute, or the configuration parameter. At least one of them must be valid. List of available languages can be found here: https://docs.nuance.com/mix/overview/mix-geographies/  Contact Nuance account manager to get the list of available languages in your region.
channel_selector nuance.biosec.v1.AudioChannelSelector Optional. Specifies the processed channel when processing media with multiple channels. This parameter is ignored if the media has a single channel, or if the input is not gk_media_segment_id.
gk_convoprint_profile_id nuance.biosec.v1.UniqueId Mandatory. Unique ID of the convoprint profile that the method verifies.
return_final_transcription bool Mandatory. Specifies if final transcription results must be returned.
ignore_checkpoints bool Optional. If true, disable the checkpoints defined in configset (checkpointsForAuthentication and checkpointsForFraudDetection configuration parameters are ignored) to process the whole text. If false or not defined, processing might stop before the end of text (for example, if a match is found for any of the checkpoints defined).

VerifyResponse

Output message that defines parameters returned by Verify.

VerifyResponse
Field Type Description
status nuance.rpc.Status General operation status.
result VerifyResult Result of the verify operation.

VerifyResult

Contains detailed information about the operation’s result. Included in VerifyResponse.

VerifyResult
Field Type Description
language string Optional. Text language. List of available languages can be found here: https://docs.nuance.com/mix/overview/mix-geographies/  .
text string Optional. Text.
transcribed bool Indicates if a transcription has been triggered.
gk_media_segment_id nuance.biosec.v1.UniqueId Optional. The media ID of the audio segment.
gk_processed_audio_id nuance.biosec.v1.UniqueId Optional. Unique ID of the processed audio. In case, the system needs to reprocess the audio, a new gk_processed_audio_id is created, even if the input audio has been specified by gk_processed_audio_id.
gk_text_id nuance.biosec.v1.UniqueId Optional. Unique ID of the processed text.
transcribe_audio_details nuance.biosec.v1.audio.TranscribeAudioDetails Optional. Transcription audio metrics, such as gross audio, net audio, and SNR.
text_details nuance.biosec.v1.audio.TextDetails Optional. Text details, such as confidence, formatted text, and word details.
validity TextValidity Text validity status. Indicates invalidity reason in case of invalid text.
gk_calibration_model_revision_id nuance.biosec.v1.UniqueId Unique ID of the calibration model that the system uses to create the text model.
convoprint_details ConvoprintDetails General information about the convoprint profile.
decision nuance.biosec.v1.Decision Indicates if the given text matches the specified convoprint profile.
reason DecisionReason The reason for the decision.
authentication_score AuthenticationScore Authentication scores.
risk_engine_result nuance.biosec.v1.RiskEngineResult Level of risk and reliability, computed by the risk engine.

convoprint/convoprints_common_types.proto

ConvoprintProfileStatus

Specifies the convoprint profile status.

Name Number Description
CONVOPRINT_PROFILE_STATUS_UNSPECIFIED 0 Convoprint profile status is not set.
CONVOPRINT_PROFILE_STATUS_NOT_TRAINED 1 Convoprint profile is not trained.
CONVOPRINT_PROFILE_STATUS_BASIC_TRAINED 2 Convoprint profile is trained but can be improved using additional enrollment text.
CONVOPRINT_PROFILE_STATUS_OPTIMAL_TRAINED 3 Convoprint profile is trained with an optimal amount of text.

DecisionReason

Specifies the convoprint processing decision reason.

Name Number Description
DECISION_REASON_UNSPECIFIED 0 Decision reason is not specified.
DECISION_REASON_TEXT_OK 1 Text is valid.
DECISION_REASON_INVALID_TEXT 2 Text format is invalid or not supported.
DECISION_REASON_FRAUDSTER_INDICATION 3 A fraud attempt probably occurred.
DECISION_REASON_CONVOPRINT_MATCH 4 This is probably the authentic person.
DECISION_REASON_CONVOPRINT_NO_MATCH 5 This is probably not the authentic person.
DECISION_REASON_LOW_RELIABILITY 6 The system can not reach a reliable decision.
DECISION_REASON_NO_RISK_DETECTED 7 Risk is not detected.
DECISION_REASON_NO_SCORES 8 No available scores.
DECISION_REASON_INTERNAL_ERROR 999 An error occurred while making the decision.

EnrollReason

Enroll operation result.

Name Number Description
ENROLL_REASON_UNSPECIFIED 0 Value is not set.
ENROLL_REASON_INTERNAL_ERROR 1 An internal error that prevents the system from completing the operation.
ENROLL_REASON_ENROLL_OK 2 Enroll completed successfully.
ENROLL_REASON_TOO_SHORT 3 Text does not contain the amount of speech required to complete the operation.
ENROLL_REASON_MISSING_MODEL 4 Text does not has a valid text model.
ENROLL_REASON_ALREADY_ADDED 5 Text is already added to the print.

EnrollStatus

Specifies if the enrollment segments collection of a print allows the system to train the print successfully.

Name Number Description
ENROLL_STATUS_UNSPECIFIED 0 Enroll status is not set.
ENROLL_STATUS_TRAIN_NOT_POSSIBLE 1 Minimal requirements for training are not met.
ENROLL_STATUS_TRAIN_POSSIBLE 2 Minimum requirements for training are met, but Nuance recommends adding more text.
ENROLL_STATUS_TRAIN_SUGGESTED 3 Optimal training requirements are met.
ENROLL_STATUS_FULL 4 Too many segments are added and it is not possible to add more.

TextValidity

Text validity and the reason that the text segment is not valid (when relevant).

Name Number Description
REASON_UNSPECIFIED 0 Use to initialize the fields.
REASON_TEXT_OK 1 Text is satisfactory for processing.
REASON_INVALID_TEXT 2 Text format is invalid or not supported.
REASON_INTERNAL_ERROR 999 An internal error that prevents the system from checking if the text is valid.

TrainReason

Train operation result.

Name Number Description
TRAIN_REASON_UNSPECIFIED 0 Train status is not set.
TRAIN_REASON_TRAIN_OK 1 Train completed successfully.
TRAIN_REASON_NOT_READY_TO_TRAIN 3 Train failed because the segments do not contain enough usable text.
TRAIN_REASON_INTERNAL_ERROR 999 An internal error that prevents the system from completing the operation.